# $Revision: 1.34 $, $Date: 2007/09/05 11:55:37 $
%include	/usr/lib/rpm/macros.perl
Summary:	cdlabelgen - generates frontcards and traycards for CDs
Summary(pl.UTF-8):	Program do generowania wkładek do pudełek na płyty CD
Name:		cdlabelgen
Version:	4.0.0
Release:	1
License:	GPL
Vendor:		B. W. Fitzpatrick <fitz@red-bean.com>
Group:		Applications/Text
Source0:	http://www.aczoom.com/pub/tools/%{name}-%{version}.tgz
# Source0-md5:	0b8225fd914b5c7aa1d3e616b1c8accc
URL:		http://www.aczoom.com/tools/cdinsert/
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	perl-tools-pod
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
This is BETA software! Please be gentle. cdlabelgen was designed to
simplify the process of generating labels for CD's. It originated as a
program to allow auto generation of frontcards and traycards for CD's
burned via an automated mechanism (specifically for archiving data).
Note that cdlabelgen does not actually print anything--it just spits
out postscript, which you can then do with as you please.

%description -l pl.UTF-8
Program ten jest w fazie beta! Prosimy o wyrozumiałość. Cdlabelgen
napisano w celu uproszczenia procesu tworzenia etykiet na CD. Powstał
jako projekt, który miał pomóc w automatycznej generacji wkładek do
pudełek na wypalane płyty CD (zwłaszcza przy archiwizacji danych).
Należy zwrócić uwagę, że cdlabelgen sam w sobie nic nie drukuje,
tworzy jedynie plik postscriptowy, który można samemu wydrukować.

%prep
%setup -q

%build
pod2man --section=1 cdlabelgen.pod > cdlabelgen.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_datadir}}

%{__make} install \
	BASE_DIR=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/cdlabelgen
%{_mandir}/man1/cdlabelgen.1*
%{_datadir}/cdlabelgen

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cdlabelgen.spec,v $
Revision 1.34  2007/09/05 11:55:37  baggins
- 4.0.0
- removed obsolete patch

Revision 1.33  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.31  2005/01/20 23:12:47  wiget
- updated to 3.5.0
- fixed URLs

Revision 1.30  2005/01/15 21:42:12  darekr
- BR: perl-tools-pod

Revision 1.29  2004/05/09 05:22:00  ankry
- BR fixes, rel. 2

Revision 1.28  2003/08/10 17:34:56  ankry
- fixed md5

Revision 1.27  2003/08/10 14:36:33  mwinkler
- updated to 2.6.1

Revision 1.26  2003/08/06 16:42:30  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.25  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 05:46:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/05/12 15:49:53  wiget
- up to 2.6.0

Revision 1.22  2002/12/29 18:01:50  hunter
-up to 2.5.0

Revision 1.21  2002/12/28 16:29:56  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.20  2002/12/12 01:33:22  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.19  2002/10/10 12:32:44  marcus
- use new %%doc

Revision 1.18  2002/04/25 15:58:03  arturs
fixed a small typo

Revision 1.17  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/01 00:01:51  ankry
- added Group(fr)

Revision 1.15  2002/01/18 02:12:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/09/18 17:44:55  kloczek
- spec adapterized,
- added perl-devel to BuildRequires.

Revision 1.13  2001/09/18 15:20:10  rrw
- added workaround for broken HP DJ printers which cannot print full A4 page
  (the bottom of the page is silently cut);
- release 5;

Revision 1.12  2001/07/28 15:01:30  migo
- added Summary(pl) and missing '-l pl'

Revision 1.11  2001/04/17 12:04:13  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.10  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/31 20:19:57  kloczek
- release 3.

Revision 1.8  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.7  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.6  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 11:10:58  arturs
typo

Revision 1.4  2000/03/25 21:31:11  arturs
- added %description -l pl

Revision 1.3  2000/03/01 08:11:59  kloczek
- release 2,
- spec adapterized,
- more rpm macros.

Revision 1.2  2000/02/29 22:47:22  wiget
- include perl macros

Revision 1.1  1999/10/27 13:47:10  baggins
- first version for PLD

* Tue Mar 23 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdlabelgen-0.70-1]
- Initial RPM Build.
